Divi: ธีม WordPress ที่ดีที่สุดของเวลาทั้งหมด!

ขึ้น ดาวน์โหลด 901.000 แล้วDivi เป็นธีม WordPress ที่ได้รับความนิยมมากที่สุดในโลก สมบูรณ์และใช้งานง่ายและมาพร้อมกับเทมเพลตฟรีมากกว่า 62

การพัฒนาของ Gutenberg มาไกลตั้งแต่ประกาศในปี 2017 ยังคงมีความรู้สึกที่หลากหลายต่อผู้จัดพิมพ์รายใหม่ แต่ก็ไม่ได้ทำให้ความคืบหน้าช้าลง อย่างไรก็ตามความเข้ากันได้ของปลั๊กอินยังคงเป็นปัญหาที่ใหญ่ที่สุดหากไม่สำคัญที่สุดเมื่อพูดถึงตัวแก้ไขใหม่

มีปลั๊กอินหลายพันรายการสำหรับ WordPress และเป็นเหตุผลว่าบางส่วนอาจไม่ทำงานกับ Gutenberg ด้วยเหตุนี้คุณควรทดสอบปลั๊กอินที่คุณชื่นชอบเพื่อตรวจสอบความเข้ากันได้กับ Gutenberg

ในบทความนี้เราจะอธิบายว่าเหตุใดความเข้ากันได้ของปลั๊กอินจึงเป็นปัญหาสำคัญเมื่อพูดถึง Gutenberg ต่อไปเราจะแสดงสองวิธีในการทดสอบปลั๊กอินของคุณเพื่อดูว่าเข้ากันได้กับตัวแก้ไขใหม่หรือไม่

มาทำงานกันเถอะ!

ทำไมคุณต้องตรวจสอบความเข้ากันได้ของปลั๊กอินของคุณกับ Gutenberg

gutenberg wordpress.png

หากคุณใช้ WordPress มาระยะหนึ่งแล้วคุณจะรู้ว่าปลั๊กอินบางตัวทำงานร่วมกับโปรแกรมอื่นได้ไม่ดี ในบางกรณีอาจเกิดจากความขัดแย้งของรหัสหรือฟังก์ชันการทำงาน บางครั้งก็เกี่ยวข้องกับการใช้ปลั๊กอินหลายตัวที่พยายามเพิ่มฟังก์ชันการทำงานที่คล้ายกัน

Gutenberg ยังอยู่ในรุ่นเบต้าและหากต้องการใช้งานคุณจะต้องติดตั้งปลั๊กอินอย่างเป็นทางการ การเปลี่ยนแปลงที่ Gutenberg ทำกับตัวแก้ไข WordPress นั้นมีมากมายดังนั้นจึงเป็นเหตุผลว่ามันไม่เข้ากันได้ดีกับปลั๊กอินอื่น ๆ :

new interface gutenberg.png

เพื่อความชัดเจน - Gutenberg ไม่ก่อให้เกิดปัญหากับปลั๊กอินส่วนใหญ่ อย่างไรก็ตามไม่ใช่ปลั๊กอินทั้งหมดที่เพิ่มฟังก์ชันการทำงานหรือเปลี่ยนรูปลักษณ์ของโปรแกรมแก้ไข WordPress แบบคลาสสิกอาจเข้ากันได้กับ Gutenberg หากคุณใช้รหัสย่อที่สร้างด้วยปลั๊กอินจำนวนมากบนหน้าเว็บของคุณมีโอกาสที่คุณจะขัดแย้งกับ Gutenberg เช่นกัน เหตุผลก็คือตัวแก้ไขใหม่ต้องการให้คุณใช้บล็อกรหัสย่อที่กำหนดเอง

ปลั๊กอินที่เพิ่มสไตล์ที่กำหนดเองให้กับเพจของคุณอาจทำให้เกิดปัญหากับ Gutenberg ปลั๊กอินบางตัวที่ไม่ได้รับการอัปเดตมาระยะหนึ่งอาจทำให้เกิดความขัดแย้งกับตัวแก้ไขใหม่ ตามกฎทั่วไปเราต้องการหลีกเลี่ยงปลั๊กอินหากไม่มีการอัปเดตใด ๆ ในช่วงหกเดือนที่ผ่านมาซึ่งเป็นสิ่งที่คุณควรพิจารณาเช่นกัน

โปรดทราบว่า Gutenberg ยังอยู่ในรุ่นเบต้าดังนั้นจึงเป็นเรื่องปกติที่คุณจะพบปัญหาบางอย่างขณะใช้งาน ปลั๊กอินยอดนิยมจำนวนมากยังคงปรับให้เข้ากับการเปลี่ยนแปลงที่ผู้เผยแพร่โฆษณาจะทำ ปลั๊กอินบางตัวที่ใช้ไม่ได้กับ Gutenberg ในปัจจุบันอาจรองรับได้ในอนาคต

สิ่งสำคัญคือคุณยังไม่ได้พึ่งพา Gutenberg สำหรับเว็บไซต์สด เราขอแนะนำให้คุณใช้โปรแกรมแก้ไขแบบคลาสสิกต่อไปจนกว่า Gutenberg จะออกจากรุ่นเบต้าเพื่อหลีกเลี่ยงปัญหาที่อาจเกิดขึ้น

สร้างเว็บไซต์ของคุณอย่างง่ายดายด้วย Elementor

Elementor ให้คุณสร้าง อย่างง่ายดายและฟรี การออกแบบเว็บไซต์หรือบล็อกใดๆ ก็ตามที่ดูเป็นมืออาชีพ หยุดจ่ายมากสำหรับเว็บไซต์ที่คุณทำเองได้

2 วิธีตรวจสอบว่าปลั๊กอิน WordPress ของคุณใช้งานร่วมกับกูเทนแบร์กได้หรือไม่

แม้ว่า Gutenberg จะยังไม่พร้อม แต่ก็ไม่ได้หมายความว่าคุณต้องรอเพื่อดูว่าปลั๊กอินของคุณเข้ากันได้หรือไม่ ... ด้วยวิธีนี้คุณสามารถติดต่อผู้พัฒนาปลั๊กอินที่คุณชื่นชอบเพื่อตรวจสอบว่าพวกเขาวางแผนที่จะเพิ่ม เข้ากันได้กับ Gutenberg หรือเริ่มมองหาทางเลือกอื่น

1 ตรวจสอบฐานข้อมูลความเข้ากันได้ของปลั๊กอิน Gutenberg

Compatible.png ฐานข้อมูล

อย่างที่คุณคาดหวังผู้คนจำนวนมากกำลังยุ่งอยู่แล้วในการหาว่าปลั๊กอินใดที่เข้ากันได้กับ Gutenberg และไม่สามารถใช้งานได้ ข้อมูลนี้มีอยู่ในฐานข้อมูลปลั๊กอินที่เข้ากันได้กับ Gutenberg ปัจจุบันฐานข้อมูลมีปลั๊กอิน 5 รายการรวมถึงข้อเสนอ WordPress ยอดนิยมส่วนใหญ่ ในการตรวจสอบว่าปลั๊กอินที่คุณชื่นชอบเข้ากันได้กับ Gutenberg หรือไม่สิ่งที่คุณต้องทำคือค้นหาโดยใช้คุณสมบัติการค้นหาฐานข้อมูล:

ค้นหา plugins.png

ข้างแต่ละชื่อคุณจะพบคอลัมน์ที่แสดง Gutenberg-Compatible โดยมีค่าเป็น Yes หรือ No แม้ว่าปลั๊กอินที่คุณกำลังมองหานั้นจะเข้ากันได้คุณยังสามารถอ่านบั๊กที่ปรากฏกับ Gutenberg ในคอลัมน์เหตุผลความเข้ากันได้:

เหตุผลในการไม่ลงรอยกัน

มีโอกาสที่ปลั๊กอินส่วนใหญ่ที่คุณกำลังมองหาอยู่ในฐานข้อมูลแล้ว หากคุณต้องการมีส่วนร่วมในการขยายฐานข้อมูลคุณสามารถมีส่วนร่วมด้วยตัวคุณเอง สิ่งที่คุณต้องทำคือลงทะเบียนบัญชีบนเว็บไซต์ฐานข้อมูล

คุณต้องการขายผลิตภัณฑ์ของคุณบนอินเทอร์เน็ตหรือไม่?

ดาวน์โหลด WooCommerce ฟรี ปลั๊กอินอีคอมเมิร์ซที่ดีที่สุดในการขายผลิตภัณฑ์ทางกายภาพและดิจิทัลของคุณบน WordPress และสร้างร้านค้าออนไลน์ของคุณได้อย่างง่ายดาย เหมาะสำหรับผู้เริ่มต้น

เมื่อคุณมีบัญชีแล้วคุณจะสามารถตั้งค่าสภาพแวดล้อมการทดสอบออนไลน์โดยใช้บริการ WP Sandbox บริการนี้ได้รับการกำหนดค่าให้สร้างสภาพแวดล้อมการทดสอบด้วย Gutenberg และปลั๊กอินแบบสุ่มที่ยังไม่ได้เป็นส่วนหนึ่งของฐานข้อมูล วิธีนี้จะหลีกเลี่ยงการมีผู้ใช้หลายร้อยคนที่ทดสอบปลั๊กอินเดียวกันทั้งหมด

คุณสามารถเรียนรู้เพิ่มเติมเกี่ยวกับวิธีการทำงานของกระบวนการทดสอบได้ที่เว็บไซต์ Gutenberg Compatibility อย่างไรก็ตามหากคุณต้องการตรวจสอบปลั๊กอินเฉพาะสำหรับความเข้ากันได้กับ Gutenberg คุณจะต้องทำแบบเก่า

2 ใช้เว็บไซต์ทดสอบเพื่อตรวจสอบปัญหาความเข้ากันได้

ไซต์การจัดเตรียมช่วยให้คุณสามารถทดสอบการเปลี่ยนแปลงในสภาพแวดล้อมที่ปลอดภัยก่อนที่จะใช้ในการผลิต มีหลายวิธีในการรวบรวมสำเนาการจัดเตรียมสำหรับเว็บไซต์ของคุณ โฮสต์เว็บบางแห่งเช่น WP Engine อนุญาตให้คุณสร้างเวอร์ชันจัดเตรียมของไซต์ของคุณด้วยการคลิกเพียงไม่กี่ครั้ง หากไม่เป็นเช่นนั้นคุณสามารถใช้ Local by Flywheel หรือ MAMP เพื่อสร้างสภาพแวดล้อมการทดสอบ WordPress ท้องถิ่น

อย่างไรก็ตามหากคุณต้องการทดสอบความเข้ากันได้ของปลั๊กอินบางตัวกับ WordPress อย่างรวดเร็วคุณสามารถสร้างการติดตั้งโดยใช้ Poopy.life (ใช่จริงๆ) ซึ่งใช้เวลาเพียงไม่กี่วินาที เมื่อเว็บไซต์ของคุณพร้อมแล้ว ติดตั้งปลั๊กอิน Gutenberg :

ติดตั้ง gutenberg.png

เมื่อคุณเปิดใช้งาน Gutenberg แล้วคุณสามารถทดสอบปลั๊กอินที่คุณชื่นชอบได้เลย ยกตัวอย่าง Divi Builder ขณะนี้หากคุณเปิดใช้งาน Gutenberg คุณจะไม่เห็นตัวเลือกในการเปลี่ยนไปใช้ Divi Builder อย่างไรก็ตามตัวเลือกบางอย่างจะปรากฏขึ้นหากคุณเปลี่ยนไปใช้แท็บ Extended Settings ภายใต้ บรรณาธิการ Gutenberg :

gutenberg และ divi builder.png

แต่ไม่มีเหตุผลที่จะต้องตกใจ คุณยังสามารถใช้ Divi ได้ตามปกติหากคุณคลิกที่ตัวเลือกตัวแก้ไขแบบคลาสสิกเมื่อคุณไปแก้ไขบทความหรือหน้า:

บรรณาธิการคลาสสิก Gutenberg Divi builder.png

สิ่งนี้จะเปิดตัวแก้ไข WordPress แบบคลาสสิกโดยที่ Divi ทำงานได้ตามปกติ มั่นใจได้แม้ว่า Divi Builder จะยังไม่สามารถใช้งานร่วมกับ Gutenberg ได้อย่างสมบูรณ์ แต่การผสานรวมกำลังจะมาถึงและคุณไม่จำเป็นต้องเลือกระหว่างสอง

อย่างที่คุณเห็นการทดสอบปลั๊กอินสำหรับความเข้ากันได้ของ Gutenberg นั้นตรงไปตรงมา สิ่งที่คุณต้องทำคือตรวจสอบว่าฟังก์ชันการทำงานของปลั๊กอินพื้นฐานทำงานได้ตามที่คาดไว้หรือไม่เมื่อตัวแก้ไขทำงานอยู่ ยกตัวอย่างเช่น Yoast SEO ซึ่งจะเพิ่มช่องเมตาลงในหน้าผู้เผยแพร่โฆษณาของคุณ เราคาดว่าจะพบข้อผิดพลาดในการใช้ทั้งสองอย่างร่วมกัน แต่โชคดีที่ไม่เป็นเช่นนั้น:

yoast seo WordPress gutenberg.png

โดยเฉพาะอย่างยิ่ง Yoast ได้ทำงานอย่างหนักในการผสานรวม Gutenberg ดังนั้นปลั๊กอินจึงทำงานร่วมกันได้ดี ตอนนี้ก็ขึ้นอยู่กับคุณที่จะทดสอบเครื่องมืออื่น ๆ ทั้งหมดที่คุณต้องการใช้บนไซต์ WordPress ของคุณและดูว่า Gutenberg พร้อมหรือไม่

สรุป

ชอบหรือไม่ตัวแก้ไข Gutenberg กำลังมาถึงหัวใจของ WordPress ในปี 2018 สิ่งที่ดีที่สุดที่คุณสามารถทำได้ล่วงหน้าคือเตรียมตัวให้พร้อมเพื่อให้การเปลี่ยนแปลงนั้นไม่เจ็บปวดมากที่สุด

หากคุณใช้ปลั๊กอินหลายตัวบนเว็บไซต์ของคุณคุณควรตรวจสอบว่าเข้ากันได้กับ Gutenberg หรือไม่ หากไม่เป็นเช่นนั้นคุณควรติดตามการอัปเดตของพวกเขาและอาจพิจารณาหาทางเลือกอื่น นี่คือวิธีตรวจสอบว่าปลั๊กอินของคุณทำงานได้ดีกับ Gutenberg เวอร์ชันปัจจุบันหรือไม่:

ลองดูที่ไฟล์ ฐานข้อมูลความเข้ากันได้ของปลั๊กอินที่ Gutenberg.

ใช้เว็บไซต์ ฉากเพื่อตรวจสอบปัญหาความเข้ากันได้.

คุณเป็นห่วงหรือตื่นเต้นกับการเปลี่ยนแปลงของบรรณาธิการกูเทนเบิร์กหรือไม่? ถ้าเป็นเช่นนั้นบอกเราว่าทำไมในส่วนความเห็นด้านล่าง!

13 หุ้น
หุ้น10
ทวีต1
Enregistrer2